phrSetOutputStringsOn {phreeqc} | R Documentation

## Set output strings on/off.

### Description

Set the output string switch on or off. This switch controls whether or not the data normally sent to the output file are stored in a buffer for retrieval. The initial setting is off.

### Usage

    phrSetOutputStringsOn(value)

### Arguments

`value` | if TRUE, captures output normally sent to the output file into a buffer.

### Details

The output strings setting is only used by the Run methods: `phrRunAccumulated`, `phrRunFile`, `phrRunString`.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Output: `phrGetOutputFileName`, `phrGetOutputFileOn`, `phrGetOutputStringsOn`, `phrGetOutputStrings`, `phrSetOutputFileName`, `phrSetOutputFileOn`

### Examples

    # This example equilibrates pure water with calcite and displays
    # the results.
    phrLoadDatabaseString(phreeqc.dat)
    phrSetOutputStringsOn(TRUE)
    input <- c(
      'SOLUTION 1 Pure water ',
      'EQUILIBRIUM_PHASES 1  ',
      '    Calcite 0 10      '
      )

    if (is.null(phrRunString(input))) {
      cat(phrGetOutputStrings(), sep = "\n")
    }

[Package phreeqc version 3.4.10 Index]